Bug 500346 - Please update mlx4_en driver for performance improvements and bug fixes
Please update mlx4_en driver for performance improvements and bug fixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity high
: rc
: ---
Assigned To: Doug Ledford
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 533192 525215
  Show dependency treegraph
 
Reported: 2009-05-12 07:23 EDT by Tziporet Koren
Modified: 2011-06-14 22:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes for Makefile for the new code (890 bytes, patch)
2009-05-17 10:26 EDT, Tziporet Koren
no flags Details | Diff
Diff between ofed 1.4.1-rc3 and latest code that we wish will go in (30.38 KB, patch)
2009-05-17 10:28 EDT, Tziporet Koren
no flags Details | Diff
The relevant backports for the new code (8.82 KB, patch)
2009-05-17 10:29 EDT, Tziporet Koren
no flags Details | Diff
A patch to support the new device ID 0x6764 (4.10 KB, patch)
2009-06-17 10:06 EDT, Tziporet Koren
no flags Details | Diff

  None (edit)
Description Tziporet Koren 2009-05-12 07:23:16 EDT
Description of problem:
Need to update mlx4_en driver according to driver in OFED 1.4.1

Version-Release number of selected component (if applicable):
1.4.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I am in contact with Doug Ledford about this
Comment 1 Tziporet Koren 2009-05-17 10:26:10 EDT
Created attachment 344331 [details]
Changes for Makefile for the new code
Comment 2 Tziporet Koren 2009-05-17 10:28:27 EDT
Created attachment 344332 [details]
Diff between ofed 1.4.1-rc3 and latest code that we wish will go in
Comment 3 Tziporet Koren 2009-05-17 10:29:24 EDT
Created attachment 344333 [details]
The relevant backports for the new code
Comment 4 Tziporet Koren 2009-06-08 10:13:05 EDT
I wish to update you that we are going to send more patches due to support for the new device ID 6764.
We will send the new patches by Jun 18 09
Comment 5 Tziporet Koren 2009-06-17 10:06:08 EDT
Created attachment 348258 [details]
A patch to support the new device ID 0x6764
Comment 6 Tony Camuso 2009-08-08 08:59:57 EDT
Device ID is in 2.6.18-162

You may close this BZ.

[root@hp-dl360g5-02 linux-2.6.18.x86_64]# grep -in 6764 /usr/share/hwdata/pci.ids
12075:	6764  MT26468 [ConnectX EN 10GigE, PCIe 2.0 5GT/s]
Comment 7 Tim Burke 2009-08-11 16:28:06 EDT
Should we really close this bug as suggested in comment #6?
Comment 8 Tony Camuso 2009-08-11 16:50:09 EDT
> Should we really close this bug as suggested in comment #6?  

No. 

I confused this bz with the one requesting new pci ids. 

This bz is for a driver change required to support the new pci ids.
Comment 9 Doug Ledford 2009-08-21 18:18:36 EDT
The first three patches are already in the kernel.  The last patch is the only one left.
Comment 11 Chris Ward 2009-09-01 07:52:19 EDT
Tziporet, could we get your confirmation that you will be able to provide us with additional testing feedback once this request has been approved and a test build including the proposed patch set is available?
Comment 13 Tziporet Koren 2009-09-01 10:35:36 EDT
Approved to send testing feedback
What is the "test build" you referring to? Please elaborate so we will be able to provide it
Comment 14 Chris Ward 2009-09-01 11:25:51 EDT
Thank you for the confirmation. 

RE: Test build. Once this request has been approved and the proposed patch committed, our developers will be able to build a 'test build' of the kernel which will include the patches that should resolve this issue. Once that test build is ready, i or someone else will provide you access to it so you can verify that the new build does in fact resolve your issue.
Comment 15 Tziporet Koren 2009-09-02 05:50:28 EDT
Sure we will test such a kernel.
BTW - we already have newer patches - can we submit those now instead of the older patches?
Comment 17 Don Zickus 2009-09-04 14:45:15 EDT
in kernel-2.6.18-165.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 19 Chris Ward 2010-02-11 05:33:41 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 20 Chris Ward 2010-02-24 10:13:47 EST
RHEL 5.5 beta is available via RHN, or the latest kernel can be found here:

http://people.redhat.com/jwilson/el5/

Please test and report back your results ASAP. RHEL 5.5 test phase is going to end very soon!

Thanks.
Comment 22 Petr Beňas 2010-03-15 09:37:57 EDT
bug state changed from ON_QA to VERIFIED.
Sanity only.
The patch is actually being applied.
Comment 24 errata-xmlrpc 2010-03-30 03:41:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.